import { Component, OnInit, AfterContentInit } from '@angular/core';
import { MatCheckboxChange } from '@angular/material';


@Component({
  selector: 'of-setting',
  templateUrl: './setting.component.html',
  styleUrls: ['./setting.component.scss']
})
export class SettingComponent implements OnInit, AfterContentInit {

  private cidr;

  serviceItems = [
    { name: 'MySQL' },
    { name: 'Redis' },
    { name: 'Tomcat' },
    { name: 'Nginx' },
  ];
  constructor() { }

  ngOnInit() {
  }

  ngAfterContentInit() {
    this.cidr = '192.168.1.0/24';
  }

  handleStart() {
    console.log('Start discovery');

  }
}
